<?php
/**
 * Theme: atom-2
 *
 * Theme Functions, includes, etc.
 *
 * @package atom-2
 */


require_once('wp-bootstrap-navwalker.php');// script for bootstrap menu
require_once('widget/atom_social_link_widget/social_link_widget.php');
require_once('widget/atom_ultimi_articoli/atom_ultimi_articoli.php');
require_once('widget/atom_articoli_per_categoria.php');
require_once('widget/author_meta_widget/author_meta_widget.php');
require get_template_directory().'/inc/ajax.php';


 add_filter('deprecated_constructor_trigger_error', '__return_false');

if ( ! function_exists( 'atom_setup' ) ) {
	function atom_setup() {
		add_theme_support( "title-tag" );
		// Enable automatic feed links
		add_theme_support( 'automatic-feed-links' );
		// Enable featured image
		add_theme_support( 'post-thumbnails' );
		// Thumbnail sizes
		add_image_size( 'atom_single', 800, 493, true ); //(cropped)
		add_image_size( 'atom_big', 1600, 700, true ); 	//(cropped)
		add_image_size( 'atom_article_list_thumb', 130, 130, true ); 	//(cropped)

    // Custom menu areas
		register_nav_menus( array(
			'topbar' => esc_html__( 'topbar', 'atom' ),
      'primary' => esc_html__( 'primary', 'atom' ),
		) );
		// Load theme languages
		load_theme_textdomain( 'atom', get_template_directory().'/languages' );


	}
}
add_action( 'after_setup_theme', 'atom_setup' );


function my_search_form( $form ) {
    $form = '<form role="search" method="get" id="searchform" class="searchform" action="' . home_url( '/' ) . '" >
    <div><label class="screen-reader-text" for="s">' . __( 'Cerca:','atom' ) . '</label>
    <input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="Cerca …"/>
    <input type="submit" id="searchsubmit" value="'. esc_attr__( 'Cerca','atom' ) .'" />
    </div>
    </form>';

    return $form;
}

add_filter( 'get_search_form', 'my_search_form' );


/*content-width*/
if ( ! isset( $content_width ) ) $content_width = 900;

/*
inclusione dei file di stile css e js
*/
if( ! function_exists('atom_styles_scripts') ){
	function atom_styles_scripts(){
		wp_enqueue_script('jquery');

		wp_enqueue_script('bootstrapjs',get_template_directory_uri().'/js/bootstrap.js',array('jquery'),'',true);
		wp_enqueue_script('custom-script',get_template_directory_uri().'/js/custom.js',array('jquery'),'',true);
		wp_enqueue_style('bootstrap',get_template_directory_uri().'/css/bootstrap.css');
    wp_enqueue_style('fontawesome',get_template_directory_uri().'/css/font-awesome-4.7.0/css/font-awesome.css');
    wp_enqueue_style( 'author-meta-widget',get_template_directory_uri().'/widget/author_meta_widget/css/style.css');
    wp_enqueue_style( 'atom_ultimi_articoli',get_template_directory_uri().'/widget/atom_ultimi_articoli/css/style.css');
    wp_enqueue_style( 'atom_social_link_widget',get_template_directory_uri().'/widget/atom_social_link_widget/css/style.css');
    wp_enqueue_style('atom',get_template_directory_uri().'/style.css');
	}
}
add_action('wp_enqueue_scripts','atom_styles_scripts');



function atom_widgets_init(){
	register_sidebar(array(
  	  'name' => __( 'Footer-1 Sidebar','atom' ),
	  'id' => 'footer-1-sidebar',
	  'class' => 'sidebar-module',
	  'description' => __( 'Tutti i widget in questa area verranno inseriti nel footer','atom' ),
	  'before_widget' => '<aside id="%1$s" class="widget col-md-3 col-xs-12 box-widget %2$s">',
	  'after_widget'  => '</aside>',
	  'before_title' => '<h4>',
	  'after_title' => '</h4>'
	));

  register_sidebar(array(
  	  'name' => __( 'Footer-2 Sidebar','atom' ),
	  'id' => 'footer-2-sidebar',
	  'class' => 'sidebar-module',
	  'description' => __( 'Tutti i widget in questa area verranno inseriti nella seconda barra del footer','atom' ),
	  'before_widget' => '<aside id="%1$s" class="widget col-md-3 box-widget %2$s">',
	  'after_widget'  => '</aside>',
	  'before_title' => '<h4>',
	  'after_title' => '</h4>'
	));

	register_sidebar(array(
  	  'name' => __( 'Blog Sidebar','atom' ),
	  'id' => 'blog-sidebar',
	  'description' => __( 'Tutti i widget in questa area verranno inseriti nella sidebar laterale','atom' ),
	  'before_widget' => '<aside id="%1$s" class="widget sidebar-module %2$s">',
	  'after_widget'  => '</aside>',
	  'before_title' => '<h4 class="widgettitle">',
	  'after_title' => '</h4>'
	));

}
add_action( 'widgets_init', 'atom_widgets_init' );




  /*  Preloader
  /* ------------------------------------ */
  function atom_preloader() {
  	?>
  	<div class="preloader">
  	    <div class="spinner">
  	        <div id="preloader">
  	          <img src="<?php  echo get_template_directory(); ?>/images/37.gif" alt="Preloader">
  	        </div>

  	    </div>
  	</div>
  	<?php
  }
  add_action('atom_before_site', 'atom_preloader');

  /*  Adjust excerpt lenght
	/* ------------------------------------ */
	function custom_excerpt_length( $length ) {
		return 15;
	}
	add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );


  function atom_comment($comment, $args, $depth){
        $GLOBALS['comment'] = $comment;
        switch($comment->comment_type):
          case 'pingback':
          case 'trackback':?>
          <li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
        		<p><?php _e( 'Pingback:', 'atom' ); ?> <?php comment_author_link(); ?>
               <?php edit_comment_link( __( '(Modifica)', 'atom' ), '<span class="edit-link">', '</span>' ); ?>
            </p>
          </li>
            <?php
                  break;
                  default:
                  global $post;
              ?>

  <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
    <article id="comment-<?php comment_ID(); ?>" class="comment">
      <header class="comment-meta comment-author vcard">
      <div class="author-comment">
        <?php
          echo get_avatar( $comment, 100 );
          printf( '<p class="comment-author">%1$s %2$s</p>',
            get_comment_author_link(),
            // If current post author is also comment author, make it known visually.
            ( $comment->user_id === $post->post_author ) ? '<span>' . __( 'Autore del post','atom' ) . '</span>' : ''
          );
        ?>
        </div>
      </header><!-- .comment-meta -->
      <?php if ( '0' == $comment->comment_approved ) : ?>
        <p class="comment-awaiting-moderation"><?php _e( 'Il tuo commento è in attesa di moderazione.','atom' ); ?></p>
      <?php endif; ?>
      <section class="comment-content comment">
        <?php comment_text(); ?>
        <?php edit_comment_link( __( 'Modifica', 'atom' ), '<p class="edit-link">', '</p>' ); ?>

        <div class="reply">
          <?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Rispondi', 'atom' ), 'after' => ' <span>&darr;</span>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
        </div><!-- .reply -->
      </section><!-- .comment-content -->
      <div class="clearfix"></div>
    </article><!-- #comment-## -->
  </li>
  <div class="clearfix"></div>
  <?php
    break;
  endswitch; // end comment_type check
  }
  add_filter( 'post_class', 'primo_post_classe_css' );

  function primo_post_classe_css( $classes ) {
      global $wp_query;
      if ( 0 == $wp_query->current_post ) {
          $classes[] = 'primo-post';
      }
      return $classes;
  }

//customizer
/*===============*/
require get_template_directory().'/inc/customizer.php';



  function get_categories_select() {
    $teh_cats = get_categories();
    $results;

    $count = count($teh_cats);
    for ($i=0; $i < $count; $i++) {
      if (isset($teh_cats[$i]))
        $results[$teh_cats[$i]->slug] = $teh_cats[$i]->name;
      else
        $count++;
    }
    return $results;
  }


  //css-customizer
/*================*/
require get_template_directory().'/inc/css-customizer.php';
