<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
      <?php wp_head(); ?>
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body <?php body_class(); ?>>

    <nav class="navbar navbar-inverse ">
    <div class="container">
      <div class="row">
        <div class="col-md-8">
          <?php wp_nav_menu( array(
                  'menu'              => 'topbar',
                  'theme_location'    => 'topbar',
                  'depth'             => 2,
                  'container'         => 'div',
                  /*'container_class'   => 'collapse navbar-collapse pull-left',*/
                  /*'container_id'      => 'bs-example-navbar-collapse-1',*/
                  'menu_class'        => 'nav navbar-nav navbar-left topbar-menu',
                  'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
                  'walker'            => new WP_Bootstrap_Navwalker()
          )) ?>
        </div>
        
      </div>

        <div class="clearfix"></div>
    </div><!-- /.container -->
  </nav><!--nav-top-bar-->

  <div class="header">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <?php if ( get_theme_mod( 'atom_logo' ) ) : ?>
            <div class="logo">
              <img src="<?php echo get_theme_mod( 'atom_logo' ) ?>" alt="<?php echo get_the_title(); ?>">
            </div>
                <?php else : ?>
                  <?php
                  if ( is_front_page() && is_home() ) : ?>
                    <h1 class="navbar-brand">
                      <a href="<?php echo esc_url( home_url( '/' ) ); ?>"  rel="home"><?php bloginfo( 'name' ); ?></a>
                    </h1>
                  <?php else : ?>
                    <p class="navbar-brand">
                      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                    </p>
                  <?php
                  endif;

                  $description = get_bloginfo( 'description', 'display' );
                  if ( $description || is_customize_preview() ) : ?>
                    <p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
                  <?php
                  endif; ?>
                <?php endif; ?>
          <!--  <h1 class="navbar-brand">
              <a href="#"><?php bloginfo('name'); ?></a>
            </h1>
              <p><?php bloginfo('description'); ?></p>-->

              <nav class="navbar navbar-default">
                <div class="container">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="navbar-header">
                         <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                      </div>

                    <?php wp_nav_menu( array(
                            'menu'              => 'primary',
                            'theme_location'    => 'primary',
                            'depth'             => 2,
                            'container'         => 'div',
                            'container_class'   => 'collapse navbar-collapse pull-left',
                            'container_id'      => 'bs-example-navbar-collapse-1',
                            'menu_class'        => 'nav navbar-nav navbar-left',
                            'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
                            'walker'            => new WP_Bootstrap_Navwalker()
                    )) ?>
                    <div class="search-icon">
                    <a href="#" id="search">  <i class="fa fa-search" aria-hidden="true"></i></a>
                    </div>

                    </div>
                  </div>
                </div>


            </nav><!--primary nav-->

              <?php get_search_form(); ?>

        </div>
      </div>
    </div>
  </div>
