<?php
add_action( 'widgets_init', 'atom_register_articoli_per_categoria' );
function atom_register_articoli_per_categoria() {
    register_widget( 'atom_articoli_per_categoria' );
}//atom_register_articoli_per_categoria
class atom_articoli_per_categoria extends WP_Widget {

  function atom_articoli_per_categoria() {
               $widget_opt = array(
                       'classname' => 'atom-articoli-per-categoria',
                       'description' => __('mostra gli ultimi articoli di una categoria.', 'atom')
                       );
               parent::__construct('atom_articoli_per_categoria', __('Articoli per categoria', 'atom'),
                                                       $widget_opt );

       }//atom_articoli_per_categoria
       public function form($instance){
         $defaults = array(
           'title' => '',
           'num' => 3,
           'category' => ''
         );
          $instance = wp_parse_args((array) $instance, $defaults);
          $title     = $instance['title'];
		$category  = $instance['category'];
		$num    = $instance['num'];


              ?>
              <p>
                  <label for="<?php echo $this->get_field_id( 'title' ); ?>">
                    <?php _e( 'Titolo:', 'atom' ); ?>
                  </label>
                  <input class="widefat"
                  id="<?php echo $this->get_field_id( 'title' ); ?>"
                  name="<?php echo $this->get_field_name( 'title' ); ?>"
                 type="text" value="<?php echo $instance['title']; ?>">
              </p>

              <p>
                  <label for="<?php echo $this->get_field_id( 'num' ); ?>">
                    <?php _e( 'N. articoli:', 'atom' ); ?>
                  </label>
                  <select id="<?php echo $this->get_field_id( 'num' ); ?>"
                    name="<?php echo $this->get_field_name( 'num' ); ?>">
                      <?php for ( $i = 1; $i < 11; $i ++ ): ?>
                          <option value="<?php echo $i ?>" <?php selected( $instance['num'], $i ) ?> ><?php echo $i; ?></option>
                      <?php endfor; ?>
                  </select>

              </p>

              <p>

                <!--  <select id="<?php echo $this->get_field_id( 'category' ); ?>"
                    name="<?php echo $this->get_field_name( 'category' ); ?>">-->

                      <?php
                          /* $categories = get_categories();
                            foreach ($categories as $category) {
                            $option = '<option value="'.$category->cat_name.'">';
                            $option .= $category->cat_name;
                            $option .= '</option>';
                            echo $option;
                          }*/

                         wp_dropdown_categories( array(
                                'orderby'    => 'title',
                                'hide_empty' => false,
                                'name'       => $this->get_field_name( 'category' ),
                                'id'         => $this->get_field_id( 'category'),
                                'class'      => 'widefat',
                                'selected'   => $category,


                              ) );

                            ?>

                  <!--</select>-->

              </p>

      <?php }//form

      public function update( $new_instance, $old_instance){
        $instance              = $old_instance;
        $instance['title']     = strip_tags( $new_instance['title'] );
        $instance['num']       = intval( $new_instance['num'] );
        $instance['category'] = $new_instance['category'];

        return $instance;
      }


      public function widget($args,$instance){
        extract($args);
        $title     = /*( isset( $instance['title'] ) ) ? $instance['title'] : '';*/apply_filters( 'widget_title', $instance['title'], $instance, $this->id_base );
        $num       = /*( isset( $instance['num'] ) ) ? $instance['num'] : 3;*/$instance['num'];
        $cat = /*( isset( $instance['category'] ) ) ? $instance['category'] : '';*/$instance['category'];

        echo $before_widget;
           if($title != ''){
             echo $args['before_title'].$title.$args['after_title'];
           }

         $widget_query = new Wp_Query(array(
           'post_type'      => 'post',
			'posts_per_page' => $num,
			'cat'            => $cat
         )/*'cat='.$cat.'&posts_per_page='.$num*/);
           if($widget_query->have_posts()){?>
               <?php while($widget_query->have_posts()){
                 $widget_query->the_post();?>
                 <h5 class="post-title">
                 <a href="<?php the_permalink();?>" style="text-decoration:none; color:#000;">
                    <?php  the_title(); ?>
                 </a>
                 </h5>
                 <p class="post-author">
                   <?php the_author_posts_link(); ?> - <span class="post-date">
                       <?php the_time('j M Y'); ?>
                     </span>
                 </p>
                 <?php }  ?>
                    <?php } ?>
<?php echo $after_widget;
    }//widget function




    }//class
