<?php
add_action( 'widgets_init', 'atom_register_ultimi_articoli' );
function atom_register_ultimi_articoli() {
    register_widget( 'atom_Ultimi_Articoli' );
}
 class atom_ultimi_articoli extends WP_Widget{
   //scriviamo il metodo del costruttore
   public function __construct(){
     $widget_args = array(
       'classname' => 'atom-ultimi-articoli',
       'description' => __('visualizza gli ultimi articoli','atom')
     );
     $this->WP_Widget('atom-ultimi-articoli','atom ultimi articoli','atom',$widget_args);
   }
   //creiamo il form del widget
   public function form($instance){
     $default = array(
       'title' => '',
       'num' => 3,
       'thumbnail' => 0
     );

     $instance = wp_parse_args((array) $instance, $default);
     ?>
     <p>
         <label for="<?php echo $this->get_field_id( 'title' ); ?>">
           <?php _e( 'Titolo:', 'atom' ); ?>
         </label>
         <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>"
         name="<?php echo $this->get_field_name( 'title' ); ?>"
        type="text" value="<?php echo $instance['title']; ?>">
     </p>
     <p>
         <label for="<?php echo $this->get_field_id( 'num' ); ?>">
           <?php _e( 'N. Articoli:', 'atom' ); ?>
         </label>
         <select id="<?php echo $this->get_field_id( 'num' ); ?>"
           name="<?php echo $this->get_field_name( 'num' ); ?>">
             <?php for ( $i = 1; $i < 11; $i ++ ): ?>
                 <option value="<?php echo $i ?>" <?php selected( $instance['num'], $i ) ?> ><?php echo $i; ?></option>
             <?php endfor; ?>
         </select>

     </p>
     <p>
         <label for="<?php echo $this->get_field_id( 'thumbnail' ) ?>">
           <?php _e( 'Miniatura: ', 'atom' ) ?>
         </label>
         <input type="checkbox" id="<?php echo $this->get_field_id( 'thumbnail' ); ?>"
         name="<?php echo $this->get_field_name( 'thumbnail' ); ?>"
         value="1" <?php checked( $instance['thumbnail'], 1 ) ?>>
     </p>
     <?php
   }
   //aggiorniamo i dati nel database
   public function update( $new_instance, $old_instance){
     $instance              = $old_instance;
     $instance['title']     = strip_tags( $new_instance['title'] );
     $instance['num']       = intval( $new_instance['num'] );
     $instance['thumbnail'] = $new_instance['thumbnail'];
     return $instance;
   }
   public function widget($args,$instance){
     extract($args);
     $title     = ( isset( $instance['title'] ) ) ? $instance['title'] : '';
     $num       = ( isset( $instance['num'] ) ) ? $instance['num'] : 3;
     $thumbnail = ( isset( $instance['thumbnail'] ) ) ? $instance['thumbnail'] : 0;

     echo $before_widget;
        if($title != ''){
          echo $args['before_title'].$title.$args['after_title'];
        }
$widget_query = new Wp_Query('posts_per_page='.$num);
if($widget_query->have_posts()){?>
    <?php while($widget_query->have_posts()){
      $widget_query->the_post();?>

        <?php  if($thumbnail && has_post_thumbnail()){
            ?>


            <div class="start-widget">

              <div class="widget-post-thumbnail">
                <?php the_post_thumbnail('atom_article_list_thumb');
                        //}?>
                  </div>
<div class="widget-post-meta">
      <h5 class="post-title">
      <a href="<?php the_permalink();?>">
         <?php  the_title(); ?>
      </a>
      </h5>
      <p class="post-author">
        <?php the_author_posts_link(); ?> - <span class="post-date">
            <?php the_time('j M Y'); ?>
          </span>

      </p>
    </div>

      <div class="clearfix"></div>
  </div>
      <hr>
      <?php }else{?>
        <div class="start-widget">


        <h5 class="post-title">
        <a href="<?php the_permalink(); ?>">
           <?php  the_title(); ?>

        </a>
        </h5>
        <p class="post-author">
          <?php the_author_posts_link(); ?> - <span class="post-date">
              <?php the_time('j M Y'); ?>
            </span>
              <?php  the_category(); ?>
        </p>
        </div>
        <hr>

        <?php  } ?>
    <?php }?>

  <?php } ?>
    <?php echo $after_widget;

   }

 }//class
