<?php


/*============================================================================*/
add_action( 'widgets_init', 'atom_register_author_meta_widget' );
function atom_register_author_meta_widget() {
    register_widget( 'author_meta_widget' );
}//registrazione del widget
/*============================================================================*/
class author_meta_widget extends WP_Widget {//creazione della classe che estende wp_wwidget
/*============================================================================*/
  function author_meta_widget() {
               $widget_opt = array(
                       'classname' => 'author-meta-widget',
                       'description' => __('Mostra delle info sull autore del blog.','atom')
                       );
               parent::__construct('author_meta_widget', __('Bio autore','atom'),
                                                       $widget_opt );

       }//creazione costruttore con le info sul widget

/*============================================================================*/
//metodo che crea il form nel backend
       public function form($instance){
         $title = '';
         if( !empty( $instance['title'] ) ) {
            $title = $instance['title'];
          }

          $name = '';
          if( !empty( $instance['name'] ) ) {
             $name = $instance['name'];
           }


          $description = '';
          if( !empty( $instance['description'] ) ) {
            $description = $instance['description'];
            }

          $img_url = '';
          if( !empty( $instance['img_url'] ) ) {
              $img_url = $instance['img_url'];
          }
          $facebook = '';
          if( !empty( $instance['facebook'] ) ) {
              $facebook = $instance['facebook'];
          }
          $twitter = '';
          if( !empty( $instance['twitter'] ) ) {
              $twitter = $instance['twitter'];
          }
          $google = '';
          if( !empty( $instance['google'] ) ) {
              $google = $instance['google'];
          }

    ?>
    <p>
        <label for="<?php echo $this->get_field_name( 'title' ); ?>"><?php _e( 'Titolo:','atom' ); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_name( 'name' ); ?>"><?php _e( 'Nome:','atom' ); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'name' ); ?>" name="<?php echo $this->get_field_name( 'name' ); ?>" type="text" value="<?php echo esc_attr( $name ); ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_name( 'description' ); ?>"><?php _e( 'Descrizione:','atom' ); ?></label>
        <textarea class="widefat" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>" type="text" ><?php echo esc_attr( $description ); ?></textarea>
    </p>

    <p>
        <label for="<?php echo $this->get_field_name( 'img_url' ); ?>"><?php _e( 'Avatar URL:','atom' ); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'img_url' ); ?>" name="<?php echo $this->get_field_name( 'img_url' ); ?>" type="text" value="<?php echo esc_attr( $img_url ); ?>" />
    </p>


    <p>
        <label for="<?php echo $this->get_field_name( 'facebook' ); ?>"><?php echo "Facebook"; ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_attr( $facebook ); ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_name( 'twitter' ); ?>"><?php echo "Twitter";?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo esc_attr( $twitter ); ?>" />
    </p>

    <p>
        <label for="<?php echo $this->get_field_name( 'google' ); ?>"><?php echo "Google"; ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" type="text" value="<?php echo esc_attr( $google ); ?>" />
    </p>


<?php

       }//form
/*============================================================================*/
//metodo che aggiorna i campi nel db con i nuovi dati immessi nel backend
      public function update( $new_instance, $old_instance){
        $instance              = $old_instance;
        $instance['title']     = strip_tags( $new_instance['title'] );
        $instance['name']       = strip_tags( $new_instance['name'] );
        $instance['description'] = $new_instance['description'];
          $instance['img_url'] = $new_instance['img_url'];
            $instance['facebook'] = $new_instance['facebook'];
              $instance['google'] = $new_instance['google'];
                $instance['twitter'] = $new_instance['twitter'];
        return $new_instance;
      }

/*============================================================================*/
//metodo che stampa nel frontend il widget
      public function widget($args,$instance){
        extract($args);
        $title     = ( isset( $instance['title'] ) ) ? $instance['title'] : '';
        $name     = ( isset( $instance['name'] ) ) ? $instance['name'] : '';
        $description = ( isset( $instance['description'] ) ) ? $instance['description'] : '';
        $img_url    = ( isset( $instance['img_url'] ) ) ? $instance['img_url'] : '';
          $facebook    = ( isset( $instance['facebook'] ) ) ? $instance['facebook'] : '';
            $twitter    = ( isset( $instance['twitter'] ) ) ? $instance['twitter'] : '';
              $google    = ( isset( $instance['google'] ) ) ? $instance['google'] : '';
        echo $before_widget;
           if($title != ''){
             echo $args['before_title'].$title.$args['after_title'];
           }?>

           <div class='img-link'>
           	<img src='<?php echo esc_url( $instance['img_url'] ) ?>' class="img-responsive">
           </div>

           <?php
           if($name != ''){
             echo '<p>'.$name.'</p>';
           }

           ?>

           <div class='author-description'>
	<?php echo wpautop( esc_html( $instance['description'] ) ) ?>
</div>
<div class="social">
        <?php
         if($facebook != ''){
           echo '<a href="'.$facebook.'"><i class="fa fa-facebook" aria-hidden="true"></i></a>';
         } ?>

         <?php
          if($twitter != ''){
            echo '<a href="'.$twitter.'"><i class="fa fa-twitter" aria-hidden="true"></i></a>';
          } ?>

          <?php
           if($google != ''){
             echo '<a href="'.$google.'"><i class="fa fa-google-plus" aria-hidden="true"></i></a>';
           } ?>
</div>







  <?php
echo $after_widget;
    }//widget function




    }//class
/*============================================================================*/
